Customers
Create Customer - POST
POSTName
Value
Name
Type
Description
curl --location 'https://api.backend.dotapay.ng/api/v1/customers/' \
--header 'DPPRIVATEKEY: PRIVATE_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
"first_name": "Wale",
"last_name": "Ajanlekoko",
"nin": "12345678901",
"dob": "1990-06-15",
"bvn": "",
"phone": "+2348012345678",
"email": "[email protected]",
"reference": "CUST2025-0017",
"type": "wallet",
"collection_wallet": "WALLET_DEMO_QRNTBVSE"
}
'const axios = require('axios');
let data = JSON.stringify({
"first_name": "Wale",
"last_name": "Ajanlekoko",
"nin": "12345678901",
"dob": "1990-06-15",
"bvn": "",
"phone": "+2348012345678",
"email": "[email protected]",
"reference": "CUST2025-0017",
"type": "wallet",
"collection_wallet": "WALLET_DEMO_QRNTBVSE"
});
let config = {
method: 'post',
maxBodyLength: Infinity,
url: 'https://api.backend.dotapay.ng/api/v1/customers/',
headers: {
'DPPRIVATEKEY': 'PRIVATE_KEY',
'Content-Type': 'application/json'
},
data : data
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Update Customer - PATCH
PATCHHeaders
Name
Value
Name
Type
Description
Fetch Single Customer - GET
GETHeaders
Name
Value
Path Parameters
Fetch Balance - GET
GETHeaders
Name
Value
Path Parameters
Fetch Customer Transactions - GET
GETHeaders
Name
Value
Path Parameters
Fetch Customer Virtual Accounts - GET
GETHeaders
Name
Value
Path Parameters
Create Customer Virtual Account - POST
POSTHeaders
Name
Value
Path Parameters
Create Customer One-Time Account - POST
POSTHeaders
Name
Value
Path Parameters
Customers List - GET
GETHeaders
Name
Value
Last updated